Overview

Create API token

Create API token

POST/v2/tokens
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input6
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
datasetCapabilitiesobject · body
descriptionstring · body
Description of the token
expiresAtstring · body
Expiration date of the token (ISO 8601 format)
namestring · bodyrequired
Name of the token
orgCapabilitiesobject · body
Show child attributes15
annotationsstring[]
Annotations capability
apiTokensstring[]
API tokens capability
auditLogstring[]
Audit Log capability
billingstring[]
Billing capability
dashboardsstring[]
Dashboards capability
datasetsstring[]
Datasets capability
endpointsstring[]
Endpoints capability
flowsstring[]
Flows capability
integrationsstring[]
Integrations capability
monitorsstring[]
Monitors capability
notifiersstring[]
Notifiers capability
rbacstring[]
Access control capability
sharedAccessKeysstring[]
Shared access keys capability
usersstring[]
Users capability
viewsstring[]
Views capability
viewCapabilitiesobject · body
Output8
datasetCapabilitiesobject
descriptionstring
Description of the token
idstring
ID of the token
namestring
Name of the token
orgCapabilitiesobject
Show child attributes15
annotationsstring[]
Annotations capability
apiTokensstring[]
API tokens capability
auditLogstring[]
Audit Log capability
billingstring[]
Billing capability
dashboardsstring[]
Dashboards capability
datasetsstring[]
Datasets capability
endpointsstring[]
Endpoints capability
flowsstring[]
Flows capability
integrationsstring[]
Integrations capability
monitorsstring[]
Monitors capability
notifiersstring[]
Notifiers capability
rbacstring[]
Access control capability
sharedAccessKeysstring[]
Shared access keys capability
usersstring[]
Users capability
viewsstring[]
Views capability
samlAuthenticatedboolean
viewCapabilitiesobject
tokenstring
Responses
200CreateApiTokenResponse
Example input
curl -X POST 'https://api.axiom.co/v2/tokens' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string"}'
Example output
{
  "datasetCapabilities": {},
  "description": "string",
  "expiresAt": "2024-01-01T00:00:00Z",
  "id": "string",
  "name": "string",
  "orgCapabilities": {
    "annotations": [
      "create"
    ],
    "apiTokens": [
      "create"
    ],
    "auditLog": [
      "read"
    ],
    "billing": [
      "read"
    ],
    "dashboards": [
      "create"
    ],
    "datasets": [
      "create"
    ],
    "endpoints": [
      "create"
    ],
    "flows": [
      "create"
    ],
    "integrations": [
      "create"
    ],
    "monitors": [
      "create"
    ],
    "notifiers": [
      "create"
    ],
    "rbac": [
      "create"
    ]
  },
  "samlAuthenticated": false,
  "viewCapabilities": {},
  "token": "string"
}

Updated

Was this page helpful?